{
    "components":{
        "securitySchemes":{
            "BasicAuthentication":{
                "type":"http",
                "scheme":"basic"
            }
        },
        "requestBodies":{
            "importjob-post-request":{
                "description":"The following table describes the body parameters in the request for this task.",
                "content":{
                    "multipart/form-data":{
                        "schema":{
                            "$ref":"#/components/schemas/importjob-post-request"
                        }
                    }
                }
            }
        },
        "parameters":{
            "Content-Type":{
                "in":"header",
                "name":"Content-Type",
                "schema":{
                    "type":"string"
                },
                "required":false,
                "x-filter-type":"skip",
                "description":"The media type of the request or response payload."
            },
            "path":{
                "in":"query",
                "name":"path",
                "schema":{
                    "type":"string"
                },
                "required":true,
                "x-filter-type":"skip",
                "description":"The path value for locating the resource."
            },
            "id":{
                "name":"id",
                "description":"The ID of the resource item.",
                "in":"path",
                "required":true,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "limit":{
                "name":"limit",
                "description":"The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"integer"
                },
                "x-filter-type":"skip"
            },
            "name":{
                "name":"name",
                "description":"The name of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "commercialName":{
                "name":"commercialName",
                "description":"The commercialName of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "nameSearch":{
                "name":"nameSearch",
                "description":"The name or displayName of the resource for search.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "DestinationName":{
                "name":"DestinationName",
                "description":"The unique name of the destination. You can filter destinations using the destination name. For example, DestinationName=RecordName. The DestinationName is the target-name of the Fabric systemDescriptor (TTD) for the registered spoke system projectPublishEvent endpoint.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "description":{
                "name":"description",
                "description":"The description of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "component":{
                "name":"components",
                "description":"The lifecycle status and latest version of resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string",
                    "enum":[
                        "Launched",
                        "Latest"
                    ]
                },
                "x-filter-type":"skip"
            },
            "version":{
                "name":"version",
                "description":"The current version of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "lifecycleStatus":{
                "name":"lifecycleStatus",
                "description":"The current lifecycle status of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            },
            "type":{
                "name":"@type",
                "description":"The class type of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "baseType":{
                "name":"@baseType",
                "description":"The base class type of the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "schemaLocation":{
                "name":"@schemaLocation",
                "description":"The link to the location where the scheme of the resource is defined.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "offset":{
                "name":"offset",
                "description":"The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "fields":{
                "name":"fields",
                "description":"The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "productNumber":{
                "name":"productNumber",
                "description":"The product number associated with the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "isBundle":{
                "name":"isBundle",
                "description":"Contains one of the values, True or False. If False, then a single product offering is included. If True, then a bundle of product offerings is included.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                }
            },
            "brand":{
                "name":"brand",
                "description":"The manufacturer or trademark of the specification.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "isSellable":{
                "name":"isSellable",
                "description":"Contains one of the values, True or False. If True, then the product offering is sold as a standalone product offering. If False, then the product offerings are sold within a bundle.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                }
            },
            "depth":{
                "name":"depth",
                "description":"The depth at which a resource item occurs in a resource hierarchy.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "catalogexpand":{
                "name":"expand",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"array",
                    "items":{
                        "type":"string",
                        "enum":[
                            "catalog.category",
                            "catalog.category.subCategory"
                        ]
                    }
                },
                "explode":false,
                "x-filter-type":"skip",
                "description":"The expand value for filtering resource results."
            },
            "poexpand":{
                "name":"expand",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"array",
                    "items":{
                        "type":"string",
                        "enum":[
                            "productOffering.bundledProductOffering",
                            "productOffering.bundledProductOffering.productOfferingPrice",
                            "productOffering.productOfferingPrice.bundledPopRelationship",
                            "productOffering.productOfferingPrice.pricingLogicAlgorithm",
                            "productOffering.productOfferingPrice.policy",
                            "productOffering.productOfferingTerm.productOfferingPrice",
                            "productOffering.productOfferingTerm.customProfileSpec"
                        ]
                    }
                },
                "explode":false,
                "description":"The sub-entities that are embedded into each resource item returned in the response. To avoid huge responses, any sub-entity that contains more than 500 items is not expanded, and it is returned as a usual link. The link can retrieve the sub-entity in a separate call using the limit and offset parameters to control the response size.",
                "x-filter-type":"skip"
            },
            "priceType":{
                "name":"priceType",
                "description":"The price types (such as a discount, penalty, allowance, and so on) applicable to a product offering.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "recurringChargePeriodType":{
                "name":"recurringChargePeriodType",
                "description":"The frequency (for example, weekly, monthly) for which the recurring charge is applied.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "recurringChargePeriodLength":{
                "name":"recurringChargePeriodLength",
                "description":"The period (for example, 1 week, 2 months) for which the recurring charge is applied. If set to zero, then the charge is not applicable.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "percentage":{
                "name":"percentage",
                "description":"The discount percentage applied for the product offering.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "priceSubType":{
                "name":"priceSubType",
                "description":"The price sub types (such as Installment, Lease, Down Payment etc) applicable to a product offering.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "specification":{
                "name":"specification",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "description":"The product specification ID for filtering resource results.",
                "x-filter-type":"skip"
            },
            "idQueryParam":{
                "name":"id",
                "description":"The unique ID of the resource item.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "fileName":{
                "name":"fileName",
                "description":"The name of the file associated with the resource.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "filenamePrefix":{
                "name":"filenamePrefix",
                "description":"The user defined optional file name prefix.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "createdBy":{
                "name":"createdBy",
                "description":"The job request submitter name.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "taxCodes.taxCode":{
                "name":"taxCodes.taxCode",
                "description":"The tax code associated with the resource.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "productOfferingInfo.productType":{
                "name":"productOfferingInfo.productType",
                "description":"The type or classification of the resource.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "productSpecification.id":{
                "name":"productSpecification.id",
                "description":"The ID of the product specification for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "productSpecification.name":{
                "name":"productSpecification.name",
                "description":"The product specification name for filtering offerings.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "productLine.id":{
                "name":"productLine.id",
                "description":"The ID of the product line for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "productLine.name":{
                "name":"productLine.name",
                "description":"The product line name for filtering offerings.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "pricelist.id":{
                "name":"pricelist.id",
                "description":"The ID of the pricelist for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "pricelist.name":{
                "name":"pricelist.name",
                "description":"The price list name for filtering offerings.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "price.value":{
                "name":"price.value",
                "description":"The price value for filtering offer prices.",
                "in":"query",
                "schema":{
                    "type":"number"
                }
            },
            "whereUsed":{
                "name":"whereUsed",
                "description":"Whether to enrich objects with usedBy information.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "profileType":{
                "name":"profileType",
                "description":"The type or classification of the resource.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "eligibleVersionForProject":{
                "name":"eligibleVersionForProject",
                "description":"The project ID.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "eligibleForProject":{
                "name":"eligibleForProject",
                "description":"The project ID.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "catalogType":{
                "name":"catalogType",
                "description":"The catalog type value for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "category":{
                "name":"category",
                "description":"The category value for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "balanceElementType":{
                "name":"balanceElementType",
                "description":"The balance element type value for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "entityType":{
                "name":"entityType",
                "description":"The entity type value for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "promotionType":{
                "name":"promotionType",
                "description":"The promotion type value for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "subject.id":{
                "name":"subject.id",
                "description":"The ID of the subject for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "subject.name":{
                "name":"subject.name",
                "description":"The subject name for filtering product rules.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "subject.AtReferredType":{
                "name":"subject.@referredType",
                "description":"The subject type for filtering product rules.",
                "in":"query",
                "schema":{
                    "type":"string"
                }
            },
            "priceTagRules.productType":{
                "name":"priceTagRules.productType",
                "description":"The product type for filtering price tags.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "priceTagRules.unitOfMeasure":{
                "name":"priceTagRules.unitOfMeasure",
                "description":"The unit of measure for filtering price tags.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "priceTagRules.balanceElementCode":{
                "name":"priceTagRules.balanceElementCode",
                "description":"The balance element code for filtering price tags.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "priceTagRules.serviceSpecification.id":{
                "name":"priceTagRules.serviceSpecification.id",
                "description":"The ID of the price tag rules service specification for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "actionProjectId":{
                "name":"actionProjectId",
                "description":"The ID of the action project for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "userName":{
                "name":"userName",
                "description":"The username for filtering project activities.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "project.id":{
                "name":"project.id",
                "description":"The ID of the project for filtering resource results.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            },
            "project.version":{
                "name":"project.version",
                "description":"The project version for filtering entities.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            },
            "validFor.startDateTime":{
                "name":"validFor.startDateTime",
                "description":"The valid for start date time for filtering entities.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            },
            "validFor.endDateTime":{
                "name":"validFor.endDateTime",
                "description":"The valid for end date time for filtering entities.",
                "in":"query",
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            },
            "businessUnitId":{
                "name":"businessUnitId",
                "description":"The ID of the business unit associated with the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                }
            },
            "businessUnitName":{
                "name":"businessUnitName",
                "description":"The name of the business unit to which the offer belongs.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                }
            },
            "catalogId":{
                "name":"catalogId",
                "description":"The ID of the catalog associated with the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                }
            },
            "team.id":{
                "name":"team.id",
                "description":"The ID of the team associated with the resource.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"skip"
            },
            "lastUpdate":{
                "name":"lastUpdate",
                "description":"Filters resources by their last update date and time.",
                "in":"query",
                "required":false,
                "schema":{
                    "type":"string"
                },
                "x-filter-type":"common"
            }
        },
        "responses":{
            "204":{
                "description":"The request was completed successfully."
            },
            "400":{
                "description":"Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "401":{
                "description":"Your request isn't authorized. The authentication credentials included with this request are missing or invalid.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "403":{
                "description":"You don't have authorization to perform this request.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "404":{
                "description":"The resource with the specified URI couldn't be found.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "405":{
                "description":"HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "409":{
                "description":"The request can't be completed due to a conflict with the current state of the resource.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "500":{
                "description":"The server encountered something unexpected that prevented it from completing the request.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "501":{
                "description":"The server doesn't support the functionality required to fulfill the request.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/Error"
                        }
                    }
                }
            },
            "importjob-post-response":{
                "description":"The import job has been created successfully.",
                "content":{
                    "application/json":{
                        "schema":{
                            "$ref":"#/components/schemas/empty-response"
                        }
                    }
                }
            }
        },
        "schemas":{
            "ImportJob":{
                "title":"ImportJob",
                "type":"object",
                "properties":{
                    "id":{
                        "type":"integer",
                        "format":"int64",
                        "description":"The ID of the import job."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the import job."
                    },
                    "completionDate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the import job completed."
                    },
                    "contentType":{
                        "type":"string",
                        "description":"The content type of the import job request."
                    },
                    "creationDate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the import job was created."
                    },
                    "errorLog":{
                        "type":"string",
                        "description":"The error log for the import job request."
                    },
                    "path":{
                        "type":"string",
                        "description":"The path of the import job request file."
                    },
                    "url":{
                        "type":"string",
                        "description":"The URL of the import job request."
                    },
                    "status":{
                        "type":"string",
                        "description":"The status of the import job.",
                        "enum":[
                            "NOT_STARTED",
                            "RUNNING",
                            "SUCCEEDED",
                            "FAILED",
                            "COMPLETED",
                            "ERROR",
                            "BLOCKED",
                            "READY",
                            "CANCELLED",
                            "CANCELLING"
                        ]
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"Indicates the base class type of this REST resource."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the import job."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the import job."
                    }
                },
                "required":[
                    "@type"
                ],
                "discriminator":{
                    "propertyName":"@type",
                    "mapping":{
                        "ImportJob":"#/components/schemas/ImportJob",
                        "ImportJobOracle":"#/components/schemas/ImportJobOracle"
                    }
                },
                "description":"The import job resource."
            },
            "ImportJobOracle":{
                "title":"ImportJobOracle",
                "allOf":[
                    {
                        "$ref":"#/components/schemas/ImportJob"
                    },
                    {
                        "type":"object",
                        "properties":{
                            "fileName":{
                                "type":"string",
                                "description":"The name of the file used by the import job."
                            },
                            "createdBy":{
                                "type":"string",
                                "description":"The name of the user who submitted the import job."
                            },
                            "errorLogUrl":{
                                "type":"string",
                                "description":"The URL of the error log."
                            },
                            "importSummary":{
                                "type":"object",
                                "properties":{
                                    "id":{
                                        "type":"integer",
                                        "format":"int64",
                                        "description":"The ID of the import job."
                                    },
                                    "totalImportObjects":{
                                        "type":"integer",
                                        "description":"The total number of imported objects."
                                    },
                                    "resources":{
                                        "type":"array",
                                        "items":{
                                            "$ref":"#/components/schemas/ImportSummaryResource"
                                        },
                                        "description":"A list of resources included in the import summary."
                                    }
                                },
                                "description":"The summary of the import job."
                            }
                        }
                    }
                ]
            },
            "ExportJob":{
                "title":"ExportJob",
                "type":"object",
                "description":"The task that exports resources to a file.",
                "properties":{
                    "id":{
                        "type":"integer",
                        "format":"int64",
                        "description":"The ID of the export job."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the export job."
                    },
                    "completionDate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the export job completed."
                    },
                    "contentType":{
                        "type":"string",
                        "description":"The content type of the exported file."
                    },
                    "creationDate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the export job was created."
                    },
                    "errorLog":{
                        "type":"string",
                        "description":"The error log containing the failure reason for the export job."
                    },
                    "path":{
                        "type":"string",
                        "description":"The path of the root resource used as the source for the export job."
                    },
                    "query":{
                        "type":"string",
                        "description":"Scopes the exported data."
                    },
                    "url":{
                        "type":"string",
                        "description":"The URL of the file that contains the exported data."
                    },
                    "status":{
                        "type":"string",
                        "description":"The status of the export job.",
                        "enum":[
                            "NOT_STARTED",
                            "RUNNING",
                            "SUCCEEDED",
                            "FAILED",
                            "COMPLETED",
                            "ERROR",
                            "BLOCKED",
                            "READY",
                            "CANCELLED",
                            "CANCELLING"
                        ]
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the export job."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "format":"uri",
                        "description":"A URI to a JSON-Schema file that defines additional attributes and relationships."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the export job."
                    }
                },
                "required":[
                    "@type"
                ],
                "discriminator":{
                    "propertyName":"@type",
                    "mapping":{
                        "ExportJob":"#/components/schemas/ExportJob",
                        "ExportJobOracle":"#/components/schemas/ExportJobOracle"
                    }
                }
            },
            "ExportJobOracle":{
                "title":"ExportJobOracle",
                "allOf":[
                    {
                        "$ref":"#/components/schemas/ExportJob"
                    },
                    {
                        "type":"object",
                        "properties":{
                            "createdBy":{
                                "type":"string",
                                "description":"The name of the user who submitted the export job."
                            },
                            "exportOptions":{
                                "$ref":"#/components/schemas/ExportOptionsOracle",
                                "description":"The export options for the export job."
                            },
                            "exportSummary":{
                                "type":"object",
                                "properties":{
                                    "id":{
                                        "type":"integer",
                                        "format":"int64",
                                        "description":"The ID of the export job."
                                    },
                                    "totalExportObjects":{
                                        "type":"integer",
                                        "description":"The total number of exported objects."
                                    },
                                    "message":{
                                        "type":"string",
                                        "description":"Optional text that provides more details about the export summary."
                                    },
                                    "resources":{
                                        "type":"array",
                                        "items":{
                                            "$ref":"#/components/schemas/ExportSummaryResource"
                                        },
                                        "description":"A list of resources included in the export summary."
                                    }
                                },
                                "description":"The summary of the export job."
                            },
                            "errorLogUrl":{
                                "type":"string",
                                "description":"The URL of the error log."
                            }
                        },
                        "required":[
                            "exportOptions"
                        ]
                    }
                ]
            },
            "ExportOptionsOracle":{
                "title":"ExportOptionsOracle",
                "type":"object",
                "description":"The task that exports resources to a file.",
                "properties":{
                    "resourceType":{
                        "type":"array",
                        "description":"A list of resource types associated with the export option.",
                        "items":{
                            "type":"string",
                            "enum":[
                                "productRule",
                                "package",
                                "commercial_bundle",
                                "service_bundle",
                                "service",
                                "device",
                                "accessory",
                                "productOffering",
                                "productOfferingPrice",
                                "priceplan",
                                "productLine",
                                "promotion",
                                "policyRule",
                                "pricingLogicAlgorithmSpecification",
                                "balanceElement",
                                "productSpecification",
                                "serviceSpecification",
                                "usageSpecification",
                                "customerProfileSpecification",
                                "pricelist",
                                "customProfileSpecification",
                                "taxServiceProvider",
                                "catalog",
                                "category",
                                "entitlement",
                                "priceTag"
                            ]
                        }
                    },
                    "lifecycleStatus":{
                        "type":"string",
                        "description":"The status of the export option."
                    },
                    "lastUpdate":{
                        "$ref":"#/components/schemas/TimePeriodOracle",
                        "description":"The date and time when the export option was last updated."
                    },
                    "project":{
                        "type":"object",
                        "properties":{
                            "id":{
                                "type":"string",
                                "description":"The ID of the export option."
                            },
                            "name":{
                                "type":"string",
                                "description":"The name of the export option."
                            }
                        },
                        "description":"The project associated with the export options."
                    },
                    "name":{
                        "type":"string",
                        "description":"For a given resource type, this is the name of the resource."
                    },
                    "id":{
                        "type":"string",
                        "description":"For a given resource type, this is the ID of the resource."
                    },
                    "filenamePrefix":{
                        "type":"string",
                        "maxLength":200,
                        "description":"The user defined optional file name prefix."
                    },
                    "exportReferenced":{
                        "type":"boolean",
                        "description":"Whether the export option has export referenced."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the export option."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "format":"uri",
                        "description":"A URI to a JSON-Schema file that defines additional attributes and relationships."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the export option."
                    },
                    "scheduleJob":{
                        "$ref":"#/components/schemas/ScheduleJobOracle",
                        "description":"The export option."
                    },
                    "notificationUsers":{
                        "type":"array",
                        "items":{
                            "type":"string"
                        },
                        "description":"A list of notification users associated with the export option."
                    },
                    "fileFormat":{
                        "type":"string",
                        "enum":[
                            "CSV",
                            "JSON"
                        ],
                        "description":"The file format associated with the export options. Valid values are CSV, and JSON."
                    },
                    "filter":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ExportFilterOracle"
                        },
                        "description":"A list of filters associated with the export option."
                    }
                }
            },
            "ScheduleJobOracle":{
                "type":"object",
                "properties":{
                    "name":{
                        "type":"string",
                        "description":"The name of the schedule job."
                    },
                    "description":{
                        "type":"string",
                        "description":"Indicates the description for the schedule."
                    },
                    "startDateTime":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the schedule job starts."
                    },
                    "endDateTime":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the schedule job ends."
                    },
                    "recurrenceFields":{
                        "type":"object",
                        "properties":{
                            "frequency":{
                                "type":"string",
                                "description":"The frequency of the scheduled job. Valid values are ONCE, HOURLY, MINUTELY, DAILY, WEEKLY, MONTHLY, and YEARLY.",
                                "enum":[
                                    "ONCE",
                                    "HOURLY",
                                    "MINUTELY",
                                    "DAILY",
                                    "WEEKLY",
                                    "MONTHLY",
                                    "YEARLY"
                                ]
                            },
                            "interval":{
                                "type":"integer",
                                "description":"The duration between subsequent runs of scheduled job."
                            },
                            "hourInterval":{
                                "type":"integer",
                                "description":"The hour duration between subsequent runs of scheduled job."
                            },
                            "minuteInterval":{
                                "type":"integer",
                                "description":"The minute duration between subsequent runs of scheduled job."
                            },
                            "dayOfWeek":{
                                "type":"array",
                                "items":{
                                    "type":"string",
                                    "description":"Indicates the day of week for schedule job recurrence. Valid values are MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY, and SUNDAY.",
                                    "enum":[
                                        "MONDAY",
                                        "TUESDAY",
                                        "WEDNESDAY",
                                        "THURSDAY",
                                        "FRIDAY",
                                        "SATURDAY",
                                        "SUNDAY"
                                    ]
                                },
                                "description":"A list of day of weeks associated with the schedule job."
                            },
                            "timeOfDay":{
                                "type":"object",
                                "description":"Indicates the time of day for schedule job recurrence.",
                                "properties":{
                                    "hour":{
                                        "type":"integer",
                                        "description":"The hour associated with the schedule job.",
                                        "minimum":0,
                                        "maximum":23
                                    },
                                    "minute":{
                                        "type":"integer",
                                        "description":"The minute associated with the schedule job.",
                                        "minimum":0,
                                        "maximum":59
                                    },
                                    "second":{
                                        "type":"integer",
                                        "description":"The second associated with the schedule job.",
                                        "minimum":0,
                                        "maximum":59
                                    }
                                }
                            },
                            "dayOfMonth":{
                                "type":"array",
                                "items":{
                                    "type":"string",
                                    "description":"Indicates the day of month for schedule job recurrence."
                                },
                                "description":"A list of day of months associated with the schedule job."
                            },
                            "monthOfyear":{
                                "type":"array",
                                "items":{
                                    "type":"string",
                                    "description":"Indicates the month of year for schedule job recurrence. Valid values are JANUARY, FEBRUARY, MARCH, APRIL, MAY, JUNE, JULY, AUGUST, SEPTEMBER, OCTOBER, NOVEMBER, and DECEMBER.",
                                    "enum":[
                                        "JANUARY",
                                        "FEBRUARY",
                                        "MARCH",
                                        "APRIL",
                                        "MAY",
                                        "JUNE",
                                        "JULY",
                                        "AUGUST",
                                        "SEPTEMBER",
                                        "OCTOBER",
                                        "NOVEMBER",
                                        "DECEMBER"
                                    ]
                                },
                                "description":"A list of month ofyears associated with the schedule job."
                            },
                            "weekOfMonth":{
                                "type":"array",
                                "items":{
                                    "type":"string",
                                    "description":"Indicates the week of month for schedule job recurrence. Valid values are FIRST, SECOND, THIRD, FOURTH, FIFTH, and LAST.",
                                    "enum":[
                                        "FIRST",
                                        "SECOND",
                                        "THIRD",
                                        "FOURTH",
                                        "FIFTH",
                                        "LAST"
                                    ]
                                },
                                "description":"A list of week of months associated with the schedule job."
                            },
                            "year":{
                                "type":"integer",
                                "description":"The year associated with the schedule job."
                            }
                        },
                        "required":[
                            "frequency"
                        ],
                        "description":"The recurrence fields associated with the schedule job."
                    }
                },
                "required":[
                    "startDateTime",
                    "endDateTime",
                    "recurrenceFields"
                ],
                "description":"The schedule job resource."
            },
            "ExportFilterOracle":{
                "title":"ExportFilterOracle",
                "type":"object",
                "properties":{
                    "field":{
                        "type":"string",
                        "description":"The field or attribute name of the resource filter."
                    },
                    "value":{
                        "type":"string",
                        "description":"The value assigned to the export filter."
                    }
                },
                "required":[
                    "field",
                    "value"
                ],
                "description":"The export filter resource."
            },
            "Catalog":{
                "title":"Catalog",
                "type":"object",
                "properties":{
                    "id":{
                        "type":"string",
                        "maxLength":30,
                        "description":"The ID of the catalog."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the catalog."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the catalog."
                    },
                    "description":{
                        "type":"string",
                        "description":"The description of this catalog."
                    },
                    "@type":{
                        "type":"string",
                        "description":"Indicates the (class) type of catalog. For entity catalogs, this will be 'EntityCatalog'."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the catalog."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"Indicates the base class type of this REST resource."
                    },
                    "version":{
                        "type":"string",
                        "description":"The catalog version."
                    },
                    "validFor":{
                        "$ref":"#/components/schemas/TimePeriod",
                        "description":"The period for which the catalog is valid."
                    },
                    "lastUpdate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the catalog was last updated."
                    },
                    "catalogType":{
                        "type":"string",
                        "description":"The type or classification of the catalog."
                    },
                    "lifecycleStatus":{
                        "type":"string",
                        "description":"The status of the catalog."
                    },
                    "relatedParty":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/RelatedPartyRefOrPartyRoleRef"
                        },
                        "description":"A list of related parties associated with the catalog."
                    },
                    "category":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/CategoryRef"
                        },
                        "description":"A list of categories associated with the catalog."
                    }
                },
                "required":[
                    "name",
                    "@type"
                ],
                "discriminator":{
                    "propertyName":"@type",
                    "mapping":{
                        "Catalog":"#/components/schemas/Catalog",
                        "CatalogOracle":"#/components/schemas/CatalogOracle"
                    }
                },
                "description":"The catalog resource."
            },
            "CatalogOracle":{
                "title":"CatalogOracle",
                "allOf":[
                    {
                        "$ref":"#/components/schemas/Catalog"
                    },
                    {
                        "type":"object",
                        "properties":{
                            "project":{
                                "$ref":"#/components/schemas/ProjectRef",
                                "description":"The project associated with the catalog."
                            },
                            "created":{
                                "type":"string",
                                "format":"date-time",
                                "description":"The date and time of the creation."
                            },
                            "createdBy":{
                                "type":"string",
                                "description":"The name of the person who created item."
                            },
                            "lastUpdatedBy":{
                                "type":"string",
                                "description":"The name of the person who updated item."
                            },
                            "externalId":{
                                "type":"string",
                                "description":"The ID of the external associated with the catalog."
                            },
                            "applicationName":{
                                "type":"string",
                                "description":"The name of the application associated with the catalog."
                            },
                            "versionState":{
                                "type":"number",
                                "description":"The version state of the catalog."
                            }
                        }
                    }
                ]
            },
            "Category":{
                "title":"Category",
                "type":"object",
                "properties":{
                    "id":{
                        "type":"string",
                        "maxLength":30,
                        "description":"The ID of the category."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the category."
                    },
                    "lastUpdate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the category was last updated."
                    },
                    "version":{
                        "type":"string",
                        "description":"The category version."
                    },
                    "lifecycleStatus":{
                        "type":"string",
                        "description":"The status of the category."
                    },
                    "validFor":{
                        "$ref":"#/components/schemas/TimePeriod",
                        "description":"The period for which the category is valid."
                    },
                    "isRoot":{
                        "type":"boolean",
                        "description":"If true, this Boolean indicates that the category is a root of categories."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the category."
                    },
                    "description":{
                        "type":"string",
                        "description":"The description of the category."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the category."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the category."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the category."
                    },
                    "subCategory":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/CategoryRef"
                        },
                        "description":"A list of sub categories associated with the category."
                    },
                    "parent":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/CategoryRef"
                        },
                        "description":"A list of parents associated with the category."
                    },
                    "productOffering":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ProductOfferingRef"
                        },
                        "description":"A list of product offerings associated with the category."
                    }
                },
                "required":[
                    "name",
                    "@type"
                ],
                "discriminator":{
                    "propertyName":"@type",
                    "mapping":{
                        "Category":"#/components/schemas/Category",
                        "CategoryOracle":"#/components/schemas/CategoryOracle"
                    }
                },
                "description":"The category resource."
            },
            "CategoryOracle":{
                "title":"CategoryOracle",
                "allOf":[
                    {
                        "$ref":"#/components/schemas/Category"
                    },
                    {
                        "type":"object",
                        "properties":{
                            "project":{
                                "$ref":"#/components/schemas/ProjectRef",
                                "description":"The project associated with the category."
                            },
                            "created":{
                                "type":"string",
                                "format":"date-time",
                                "description":"The date and time of the creation."
                            },
                            "createdBy":{
                                "type":"string",
                                "description":"The name of the person who created item."
                            },
                            "lastUpdatedBy":{
                                "type":"string",
                                "description":"The name of the person who updated item."
                            },
                            "externalId":{
                                "type":"string",
                                "description":"The ID of the external associated with the category."
                            },
                            "applicationName":{
                                "type":"string",
                                "description":"The name of the application associated with the category."
                            },
                            "versionState":{
                                "type":"number",
                                "description":"The version state of the category."
                            }
                        }
                    }
                ]
            },
            "ProductOffering":{
                "title":"ProductOffering",
                "type":"object",
                "properties":{
                    "id":{
                        "type":"string",
                        "maxLength":30,
                        "description":"The ID of the product offering."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the product offering."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the product offering."
                    },
                    "description":{
                        "type":"string",
                        "description":"The description of the product offering."
                    },
                    "isBundle":{
                        "type":"boolean",
                        "description":"Determines whether a product offering represents a single product offering (false) or a bundle of product offerings (true)."
                    },
                    "lastUpdate":{
                        "type":"string",
                        "format":"date-time",
                        "description":"The date and time when the product offering was last updated."
                    },
                    "lifecycleStatus":{
                        "type":"string",
                        "description":"The status of the product offering."
                    },
                    "statusReason":{
                        "type":"string",
                        "description":"Indicates the current status reason."
                    },
                    "subStatus":{
                        "type":"string",
                        "description":"The status of the product offering."
                    },
                    "validFor":{
                        "$ref":"#/components/schemas/TimePeriod",
                        "description":"The period for which the product offering is valid."
                    },
                    "version":{
                        "type":"string",
                        "description":"The product offering version."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the product offering."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the product offering."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the product offering."
                    },
                    "isSellable":{
                        "type":"boolean",
                        "description":"A flag indicating whether this product offer can be sold as a standalone offer. If false, the offer can only be sold as part of a bundle."
                    },
                    "place":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/PlaceRef"
                        },
                        "description":"A list of places associated with the product offering."
                    },
                    "serviceLevelAgreement":{
                        "$ref":"#/components/schemas/SLARef",
                        "description":"The service level agreement associated with the product offering."
                    },
                    "productSpecification":{
                        "$ref":"#/components/schemas/ProductSpecificationRef",
                        "description":"The product specification associated with the product offering."
                    },
                    "channel":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ChannelRef"
                        },
                        "description":"A list of channels associated with the product offering."
                    },
                    "serviceCandidate":{
                        "$ref":"#/components/schemas/ServiceCandidateRefOracle",
                        "description":"The service candidate associated with the product offering."
                    },
                    "attachment":{
                        "type":"array",
                        "items":{
                            "anyOf":[
                                {
                                    "$ref":"#/components/schemas/Attachment"
                                },
                                {
                                    "$ref":"#/components/schemas/AttachmentOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/AttachmentRef"
                                }
                            ],
                            "discriminator":{
                                "propertyName":"@type",
                                "mapping":{
                                    "Attachment":"#/components/schemas/Attachment",
                                    "AttachmentOracle":"#/components/schemas/AttachmentOracle",
                                    "AttachmentRef":"#/components/schemas/AttachmentRef"
                                }
                            }
                        },
                        "description":"A list of attachments associated with the product offering."
                    },
                    "category":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/CategoryRef"
                        },
                        "description":"A list of categories associated with the product offering."
                    },
                    "resourceCandidate":{
                        "$ref":"#/components/schemas/ResourceCandidateRef",
                        "description":"The resource candidate associated with the product offering."
                    },
                    "productOfferingTerm":{
                        "type":"array",
                        "items":{
                            "anyOf":[
                                {
                                    "$ref":"#/components/schemas/ProductOfferingTermOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/ServiceEntitlementOfferTermOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/CommitmentTermOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/SubscriptionTermOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/PaymentTermOracle"
                                }
                            ],
                            "discriminator":{
                                "propertyName":"@type",
                                "mapping":{
                                    "ProductOfferingTermOracle":"#/components/schemas/ProductOfferingTermOracle",
                                    "ServiceEntitlementOfferTermOracle":"#/components/schemas/ServiceEntitlementOfferTermOracle",
                                    "CommitmentTermOracle":"#/components/schemas/CommitmentTermOracle",
                                    "SubscriptionTermOracle":"#/components/schemas/SubscriptionTermOracle",
                                    "PaymentTermOracle":"#/components/schemas/PaymentTermOracle"
                                }
                            }
                        },
                        "description":"A list of product offering terms associated with the product offering."
                    },
                    "marketSegment":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/MarketSegmentRef"
                        },
                        "description":"A list of market segments associated with the product offering."
                    },
                    "productOfferingPrice":{
                        "type":"array",
                        "items":{
                            "anyOf":[
                                {
                                    "$ref":"#/components/schemas/ProductOfferingPriceRef"
                                },
                                {
                                    "$ref":"#/components/schemas/ProductOfferingPriceRefOracle"
                                }
                            ],
                            "discriminator":{
                                "propertyName":"@type",
                                "mapping":{
                                    "ProductOfferingPriceRef":"#/components/schemas/ProductOfferingPriceRef",
                                    "ProductOfferingPriceRefOracle":"#/components/schemas/ProductOfferingPriceRefOracle"
                                }
                            }
                        },
                        "description":"A list of product offering prices associated with the product offering."
                    },
                    "agreement":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/AgreementRef"
                        },
                        "description":"A list of agreements associated with the product offering."
                    },
                    "bundledProductOffering":{
                        "type":"array",
                        "items":{
                            "anyOf":[
                                {
                                    "$ref":"#/components/schemas/BundledProductOffering"
                                },
                                {
                                    "$ref":"#/components/schemas/BundledProductOfferingChoiceOracle"
                                },
                                {
                                    "$ref":"#/components/schemas/BundledProductOfferingOracle"
                                }
                            ],
                            "discriminator":{
                                "propertyName":"@type",
                                "mapping":{
                                    "BundledProductOffering":"#/components/schemas/BundledProductOffering",
                                    "BundledProductOfferingChoiceOracle":"#/components/schemas/BundledProductOfferingChoiceOracle",
                                    "BundledProductOfferingOracle":"#/components/schemas/BundledProductOfferingOracle"
                                }
                            }
                        },
                        "description":"A list of bundled product offerings associated with the product offering."
                    },
                    "bundledGroupProductOffering":{
                        "type":"array",
                        "description":"A BundledGroupProductOffering. A group of ProductOfferings that can be selected for instantiation, for example between 2 and 7 from a list of 15 channel packs.",
                        "items":{
                            "$ref":"#/components/schemas/BundledGroupProductOfferingOracle"
                        }
                    },
                    "prodSpecCharValueUse":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ProductSpecificationCharacteristicValueUseOracle"
                        },
                        "description":"A list of prod specification characteristic value uses associated with the product offering."
                    },
                    "specCharValueUse":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/SpecCharValueUse"
                        },
                        "description":"A list of spec characteristic value uses associated with the product offering."
                    }
                },
                "required":[
                    "@type"
                ],
                "discriminator":{
                    "propertyName":"@type",
                    "mapping":{
                        "ProductOffering":"#/components/schemas/ProductOffering",
                        "ProductOfferingOracle":"#/components/schemas/ProductOfferingOracle"
                    }
                },
                "description":"The product offering resource."
            },
            "ProductOfferingOracle":{
                "title":"ProductOfferingOracle",
                "allOf":[
                    {
                        "$ref":"#/components/schemas/ProductOffering"
                    },
                    {
                        "type":"object",
                        "properties":{
                            "productLine":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ProductLineRef"
                                },
                                "description":"A list of product lines associated with the product offering."
                            },
                            "productOfferingCharacteristic":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ProductOfferCharacteristicOracle"
                                },
                                "description":"A list of product offering characteristics associated with the product offering."
                            },
                            "productOfferingInfo":{
                                "$ref":"#/components/schemas/ProductOfferingInfoOracle",
                                "description":"The product offering information."
                            },
                            "project":{
                                "$ref":"#/components/schemas/ProjectRef",
                                "description":"The project associated with the product offering."
                            },
                            "banner":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/BannerOracle"
                                },
                                "description":"A list of banners associated with the product offering."
                            },
                            "marketingFeature":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/FeatureOracle"
                                },
                                "description":"A list of marketing features associated with the product offering."
                            },
                            "approver":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ApproverRef"
                                },
                                "description":"A list of approvers associated with the product offering."
                            },
                            "approvalInfo":{
                                "$ref":"#/components/schemas/ApprovalInfoOracle",
                                "description":"The approval information for the product offering."
                            },
                            "created":{
                                "type":"string",
                                "format":"date-time",
                                "description":"The date and time of the creation."
                            },
                            "createdBy":{
                                "type":"string",
                                "description":"The name of the person who created item."
                            },
                            "lastUpdatedBy":{
                                "type":"string",
                                "description":"The name of the person who updated item."
                            },
                            "pricelist":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/PriceListGroupRefOracle"
                                },
                                "description":"A list of pricelists associated with the product offering."
                            },
                            "pricePlanRelationship":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/PricePlanRelationshipOracle"
                                },
                                "description":"A list of price plan relationships associated with the product offering."
                            },
                            "approvalHistory":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ApprovalHistory"
                                },
                                "description":"A list of approval histories associated with the product offering."
                            },
                            "usedBy":{
                                "type":"array",
                                "readOnly":true,
                                "items":{
                                    "$ref":"#/components/schemas/UsedByRef"
                                },
                                "description":"A list of used bies associated with the product offering."
                            },
                            "choiceRelationship":{
                                "$ref":"#/components/schemas/ChoiceRelationshipOracle",
                                "description":"The choice relationship for the product offering."
                            },
                            "customProfileSpec":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/CustomProfileSpecRefOracle"
                                },
                                "description":"A list of custom profile specifications associated with the product offering."
                            },
                            "customProfSpecCharValueUse":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/CustomProfSpecCharValueUse"
                                },
                                "description":"A list of custom prof specification characteristic value uses associated with the product offering."
                            },
                            "externalConfigurationProperties":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ExternalConfigurationPropertiesOracle"
                                },
                                "description":"A list of external configuration properties associated with the product offering."
                            },
                            "externalId":{
                                "type":"string",
                                "description":"The ID of the external associated with the product offering."
                            },
                            "applicationName":{
                                "type":"string",
                                "description":"The name of the application associated with the product offering."
                            },
                            "searchTag":{
                                "type":"array",
                                "items":{
                                    "type":"string",
                                    "description":"The searchTag."
                                },
                                "description":"A list of search tags associated with the product offering."
                            },
                            "versionState":{
                                "type":"number",
                                "description":"The version state of the productOffering."
                            },
                            "commercialName":{
                                "type":"string",
                                "description":"The name of the commercial associated with the product offering."
                            },
                            "isDynamic":{
                                "type":"boolean",
                                "description":"Whether the product offering is dynamic."
                            },
                            "businessUnitId":{
                                "type":"number",
                                "description":"The ID of the business unit associated with the product offering."
                            },
                            "businessUnitName":{
                                "type":"string",
                                "description":"The name of the business unit associated with the product offering."
                            },
                            "productOfferingRelationship":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/ProductOfferingRelationship"
                                },
                                "description":"A list of product offering relationships associated with the product offering."
                            },
                            "policySpecificationTerm":{
                                "$ref":"#/components/schemas/CustomProfileSpecRefOracle",
                                "description":"The policy specification term for the product offering."
                            },
                            "taxSupplier":{
                                "type":"array",
                                "items":{
                                    "$ref":"#/components/schemas/TaxServiceProviderRefOracle"
                                },
                                "description":"A list of tax suppliers associated with the product offering."
                            }
                        },
                        "required":[
                            "productOfferingInfo"
                        ]
                    }
                ]
            },
            "UsedByRef":{
                "title":"UsedByRef",
                "type":"object",
                "description":"A reference to a resource that is aggregating another top-level resource.",
                "properties":{
                    "id":{
                        "type":"string",
                        "description":"The ID of the used by reference."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the used by reference."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the used by reference."
                    },
                    "version":{
                        "type":"string",
                        "description":"The version of the using item."
                    },
                    "@referredType":{
                        "type":"string",
                        "description":"The type of the referred used by reference."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the used by reference."
                    },
                    "referenceType":{
                        "type":"string",
                        "description":"The type or classification of the used by reference.",
                        "enum":[
                            "PACKAGE",
                            "COMMERCIAL_BUNDLE",
                            "SERVICE_BUNDLE",
                            "SERVICE",
                            "DEVICE",
                            "ACCESSORY",
                            "CHOICE",
                            "AGGREGATION",
                            "AWARD",
                            "DISCOUNT",
                            "TRADE_IN",
                            "COMPATIBILITY",
                            "ELIGIBILITY",
                            "MIGRATION",
                            "RECOMMENDATION",
                            "POLICY",
                            "DEVICE_SPEC",
                            "CHARGING_TERM",
                            "SUSPENSION_TERM",
                            "RETURN_CHECKLIST",
                            "ENTITY_PROFILE",
                            "PRODUCT_LINE",
                            "PRODUCT_OFFERING_PRICE",
                            "CATALOG",
                            "CATEGORY",
                            "PRODUCT_SPECIFICATION",
                            "USAGE_SPECIFICATION",
                            "SERVICE_SPECIFICATION"
                        ]
                    }
                }
            },
            "PriceListRefOracle":{
                "title":"PriceListRefOracle",
                "type":"object",
                "description":"The pricelist reference.",
                "properties":{
                    "id":{
                        "type":"string",
                        "description":"The ID of the price list reference."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the price list reference."
                    },
                    "version":{
                        "type":"string",
                        "description":"The version of the pricelist."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the price list reference."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the price list reference."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the price list reference."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the price list reference."
                    },
                    "@referredType":{
                        "type":"string",
                        "description":"The type of the referred price list reference."
                    },
                    "versionState":{
                        "type":"number",
                        "description":"The version state of the reference."
                    }
                },
                "required":[
                    "id",
                    "@type",
                    "@referredType"
                ]
            },
            "PriceListGroupRefOracle":{
                "title":"PriceListGroupRefOracle",
                "type":"object",
                "description":"The price list group reference.",
                "properties":{
                    "id":{
                        "type":"string",
                        "description":"The ID of the price list group reference."
                    },
                    "href":{
                        "type":"string",
                        "description":"The hyperlink reference to the price list group reference."
                    },
                    "version":{
                        "type":"string",
                        "description":"The version of the price list group reference."
                    },
                    "name":{
                        "type":"string",
                        "description":"The name of the price list group reference."
                    },
                    "@type":{
                        "type":"string",
                        "description":"The class type of the price list group reference."
                    },
                    "@schemaLocation":{
                        "type":"string",
                        "description":"The URI of the schema that defines the price list group reference."
                    },
                    "@baseType":{
                        "type":"string",
                        "description":"The base type of the price list group reference."
                    },
                    "@referredType":{
                        "type":"string",
                        "description":"The type of the referred price list group reference."
                    },
                    "productOfferingPrice":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ProductOfferingPriceRef"
                        },
                        "required":[
                            "id"
                        ],
                        "description":"A list of product offering prices associated with the price list group reference."
                    },
                    "productOfferingTerm":{
                        "type":"array",
                        "items":{
                            "$ref":"#/components/schemas/ProductOfferingTermSummaryOracle"
                        },
                        "description":"A list of product offering terms associated with the price list group reference."
                    }
                },
                "required":[
                    "id",
                    "@type",
                    "@referredType"
                ]
            },
            "TimePeriodRelativeOracle":{
                "title":"TimePeriodRelativeOracle",
                "type":"object",
                "description":"The relative validity period of the related party.",
                "properties":{
                    "startRelativeDateTime":{
                        "$ref":"#/components/schemas/RelativeTimeOffsetOracle",
                        "description":"The relative start date and time of the time period."
                    },
                    "endRelativeDateTime":{
                        "$ref":"#/components/schemas/RelativeTimeOffsetOracle",
                        "description":"The relative end date and time of the time period."
                    }
                }
            },
            "RelativeTimeOffsetOracle":{
                "title":"RelativeTimeOffsetOracle",
                "type":"object",
                "description":"The relative time offset resource.",
                "properties":{
                    "relativeEvent":{
                        "type":"string",
                        "description":"The relative time offset event."
                    },
                    "offSetunit":{
                        "type":"string",
                        "description":"The relative time offset unit."
                    },
                    "offsetValue":{
                        "type":"integer",
                        "description":"The value assigned to the relative time offset."
                    }
                }
            },
            "BalanceElementRef":{
                "title":"BalanceElementRef",
                "type":"object",
[...]
